scala.collection.jcl.Buffer
class DefaultBufferIterator

[source: `scala/collection/jcl/Buffer.scala`]

`protected` `class` DefaultBufferIterator
  `extends` DefaultSeqIterator `with` BufferIterator[Int, A]

Values and Variables inherited from DefaultSeqIterator
index

Method Summary
`override def` | add (a : A) : Unit Inserts "a" after the iterator's cursor. If next was last called, "a" is inserted after the element returned. If previous was last called, "a" is inserted before the element returned.
`override def` | set (a : A) : Unit Sets the element before this iterator's cursor to "a." Replaces either the last element returned by "next" or, if previous was called, the next element that would be return by "previous."

Methods inherited from DefaultSeqIterator
hasNext, next, hasPrevious, previous, nextIndex, previousIndex, remove

Methods inherited from SeqIterator
seek, indexOf, map

Methods inherited from MutableIterator
filter, has, remove, retain, buffered0

Methods inherited from Iterator
take, drop, append, ++, flatMap, takeWhile, dropWhile, zip, zipWithIndex, foreach, forall, exists, contains, find, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, buffered, counted, duplicate, copyToArray, readInto, readInto, readInto, copyToBuffer, toList, mkString, mkString, addString, toString

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` set(a : A) : Unit

  Sets the element before this iterator's cursor to "a." Replaces either the last element returned by "next" or, if previous was called, the next element that would be return by "previous."

Overrides
  BufferIterator.set

`override` `def` add(a : A) : Unit

  Inserts "a" after the iterator's cursor. If next was last called, "a" is inserted after the element returned. If previous was last called, "a" is inserted before the element returned.

Overrides
  BufferIterator.add